Name:           libXcomposite
Version:        0.4.4
Release:        17
License:        MIT
Summary:        X Composite Extension library
URL:            http://www.x.org
Source0:        https://www.x.org/pub/individual/lib/%{name}-%{version}.tar.bz2
BuildRequires:  xorg-x11-util-macros autoconf automake libtool
BuildRequires:  xorg-x11-proto-devel libXfixes-devel libXext-devel

%description
X Composite Extension library

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains development files for %{name}.

%package_help

%prep
%autosetup -n %{name}-%{version} -p1

%build
autoreconf -ivf
%configure
%make_build

%install
%make_install
%delete_la_and_a

%ldconfig_scriptlets

%files
%defattr(-,root,root)
%doc AUTHORS 
%license COPYING
%{_libdir}/*.so.*

%files          devel
%defattr(-,root,root)
%{_includedir}/X11/extensions/*.h
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc

%files          help
%defattr(-,root,root)
%doc README ChangeLog
%{_mandir}/man3/*.3*

%changelog
* Sat Oct 19 2019 openEuler Buildteam <buildteam@openeuler.org> - 0.4.4-17
- Type:bugfix
- Id:NA
- SUG:NA
- DESC:change the directory of the license file

* Tue Sep 3 2019 openEuler Buildteam <buildteam@openeuler.org> - 0.4.4-16
- Package init
